-- true/false defn
FALSE = 0
TRUE = 1

-- condition return values
CONDITION_NOT_YET_MET = 0
CONDITION_SUCCEEDED = 1
CONDITION_FAILED = 2

-- Message types
MT_INFO = 0   -- large centre screen pop up
MT_ALERT = 1  -- top right alert message

MSG_TOP = 1
MSG_VCENTRE = 2
MSG_BOTTOM = 4
MSG_LEFT = 8
MSG_CENTRE = 16
MSG_RIGHT = 32

MSG_SMALL = 0
MSG_REG = 1
MSG_LRG = 2

FULLSCREEN = 0
FRONT_AND_CENTER = 1
CALL = 2

NO_CONTROLS = 0
PLAYPAUSE = 1
STOP = 2
SEEK = 4


function OnEvent(event)
    return _G["OnEvent" .. event]();
end

function TestCondition(condition)
    return _G["TestCondition" .. condition]();
end

function OnEventStart()
	SysCall("ScenarioManager:UnlockControls")
	SysCall("ScenarioManager:ShowInfoMessageExt", "Back To The Depot Part 3", "Welcome back driver, the train from Barking has arrived and all the passengers have boarded. Your lights seem to have shut off while waiting here at Gospel Oak so don't forget to set them up again before departure.", 15, 16+2, 1, TRUE)
	SysCall("CameraManager:ActivateCamera", "CabCamera", 0)
	SysCall("PlayerEngine:SetControlValue", "Headlights", 0, 1)
	SysCall("PlayerEngine:SetControlValue", "TailLightSwitch", 0, 0)
	SysCall("PlayerEngine:SetControlValue", "MarkerLightSwitch", 0, 1)
	SysCall("PlayerEngine:SetControlValue", "Destination", 0, 23)
	SysCall("PlayerEngine:SetControlValue", "DestLight", 0, 1)
	SysCall("PlayerEngine:SetControlValue", "DestBlind", 0, 23)
	SysCall("PlayerEngine:SetControlValue", "Cabdoor", 0, 1)
	SysCall("PlayerEngine:SetControlValue", "Driver Window", 0, 0.92381)
end