-- true/false defn
FALSE = 0
TRUE = 1

-- condition return values
CONDITION_NOT_YET_MET = 0
CONDITION_SUCCEEDED = 1
CONDITION_FAILED = 2

-- Message types
MT_INFO = 0   -- large centre screen pop up
MT_ALERT = 1  -- top right alert message

MSG_TOP = 1
MSG_VCENTRE = 2
MSG_BOTTOM = 4
MSG_LEFT = 8
MSG_CENTRE = 16
MSG_RIGHT = 32

MSG_SMALL = 0
MSG_REG = 1
MSG_LRG = 2



function OnEvent(event)
    return _G["OnEvent" .. event]();
end

function TestCondition(condition)
    return _G["TestCondition" .. condition]();
end

function DisplayRecordedMessage( messageName )
   SysCall("RegisterRecordedMessage", "StartDisplay" .. messageName, "StopDisplay" .. messageName, 1);
end


function OnEventStart()
	SysCall("ScenarioManager:ShowInfoMessageExt", "Back To The Depot Part 1", "Good evening driver, today you are taking this train from North Woolwich to Wilesden Junction stopping at every stop along the way with a short break at Stratford. We will be driving in Driver Only Operation Mode from here to Stratford, you can activate this by pressing Shift+Ctrl+R. Open your doors here and let the passengers on board. Don't forget to close the doors with the R key and to set the destination display with the F7 and F8 keys. Now that all the information is out of the way we must open our doors so we can arrive at Stratford before 19:19.", 15, 16+2, 1, TRUE)
end

function OnEventStart1()
	SysCall ( "ScenarioManager:ShowInfoMessageExt", "Back To The Depot Part 1", "Keys.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, TRUE );
end

function StartDisplayKeys()
   SysCall ( "ScenarioManager:ShowInfoMessageExt", "Keyboard Shortcuts", "Keys.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, TRUE );
end

function StopDisplayKeys()
end

function OnEventStart1()
  DisplayRecordedMessage("Keys")
end
